Bug 200892 - cyrus-sasl built without support for sasl_keytab
cyrus-sasl built without support for sasl_keytab
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cyrus-sasl (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks: 234309
  Show dependency treegraph
 
Reported: 2006-08-01 09:15 EDT by Mirko Streckenbach
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.1.22-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-26 17:26:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for cyrus-sasl-2.1.21-10 (1.51 KB, patch)
2006-08-01 09:15 EDT, Mirko Streckenbach
no flags Details | Diff

  None (edit)
Description Mirko Streckenbach 2006-08-01 09:15:08 EDT
Description of problem:

cyrus-sasl provides the run-time option "sasl_keytab" for kerberos
authentication, if the kerberos libraries have a certain api 
function. This function is present in the libraries, but not correctly
detected by cyrus-sasl's configure, making the libraries ignore the option.
As this option is the only option to supply multiple applications their
own keytab, this is quiet relevant, as the only alternative is to give
the default keytab world read permissons (which would be a major security
hole)

Version-Release number of selected component (if applicable):

cyrus-sasl-2.1.21-10
(but also 2.1.20-5 (fc4) and 2.1.22-3 (rawhide))


How reproducible:


Steps to Reproduce:
1. configure a cyrus-imap server, with "sasl_keytab: /etc/cyrus.keytab"
in /etc/imapd.conf
2. put the imap/host@DOMAIN key into /etc/cyrus.keytab, but not into
/etc/krb5.keytab
3. try to use kerbereos with the server. The configured location is ignored.
  
Actual results:

wrong keytab is used.

Expected results:

configured keytab to be used.

Additional info:

A patch for the fc5 release of the package is appended.
Comment 1 Mirko Streckenbach 2006-08-01 09:15:08 EDT
Created attachment 133396 [details]
Patch for cyrus-sasl-2.1.21-10
Comment 2 Nalin Dahyabhai 2007-02-26 17:26:58 EST
Rolling this into 2.1.22-6. Thanks!
Comment 3 Kostas Georgiou 2007-02-26 19:40:27 EST
Should we clone this for RHEL5 or is it fixed there as well?
Comment 4 Nalin Dahyabhai 2007-02-26 19:43:41 EST
Hmm, definitely not fixed in RHEL 5 (yet).  I'll clone it later this week (along
with the fix for bug #229640) if you don't get to it first.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.